package com.youlai.boot.system.service;

import com.youlai.boot.system.model.entity.Record;
import com.youlai.boot.system.model.form.RecordForm;
import com.youlai.boot.system.model.query.RecordQuery;
import com.youlai.boot.system.model.vo.RecordVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

/**
 * 部署记录服务类
 *
 * @author kangyu
 * @since 2024-10-08 14:14
 */
public interface RecordService extends IService<Record> {

    /**
     *部署记录分页列表
     *
     * @return
     */
    IPage<RecordVO> getRecordPage(RecordQuery queryParams);

    /**
     * 获取部署记录表单数据
     *
     * @param id 部署记录ID
     * @return
     */
     RecordForm getRecordFormData(Long id);

    /**
     * 新增部署记录
     *
     * @param formData 部署记录表单对象
     * @return
     */
    boolean saveRecord(RecordForm formData);

    /**
     * 修改部署记录
     *
     * @param id   部署记录ID
     * @param formData 部署记录表单对象
     * @return
     */
    boolean updateRecord(Long id, RecordForm formData);

    /**
     * 删除部署记录
     *
     * @param ids 部署记录ID，多个以英文逗号(,)分割
     * @return
     */
    boolean deleteRecords(String ids);

    boolean startJarFile(Long id);

    boolean stopJarFile(Long id);

    String saveFile(MultipartFile file, String type,int dirId);

    String saveFile(MultipartFile file,String pageType);


}
